.footer {
    padding: rem(24) 0 rem(32) 0;
    color: $black;
    background: rgba(237, 244, 255, 0.2);
    font-size: rem(14);
    line-height: rem(20);
    text-align: center;
    backdrop-filter: blur(5px);

    &__main {

    }

    &__content {
        margin-bottom: rem(20);
    }

    &__item {

        &:first-child {
            margin-bottom: rem(6);
        }
    }

    &__link {
        color: $black;
        white-space: nowrap;
        text-decoration: none;

        &:hover {
            color: $black;
            text-decoration: underline;
        }
    }

    &__email {
        color: $black;
        text-decoration: none;
        height: rem(28);
        border-radius: 4px;
        padding: rem(2) rem(8);
        display: inline-flex;
        align-items: center;
        justify-content: center;
        border: 2px solid rgba(0, 0, 0, 0.3);

        &:hover {
            color: $black;
            text-decoration: none;
        }
    }

    &__dev {
        font-weight: 400;
        font-size: rem(12);
        line-height: rem(16);

        &__text {
            margin-bottom: rem(6);
        }
    }

    @include media-breakpoint-up(lg) {
        padding: 0;

        &__main {
            height: rem(90);
            display: flex;
            align-items: center;
            justify-content: space-between;
        }

        &__content {
            margin: 0;
            display: flex;
            align-items: center;
        }

        &__item {
            margin: 0 rem(32) 0 0;
            white-space: nowrap;
            display: flex;
            align-items: center;

            &:first-child {
                margin-bottom: 0;
            }
        }

        &__label {
            margin: 0 rem(8) 0 0;
        }

        &__dev {
            text-align: left;
            display: flex;
            align-items: center;

            &__text {
                margin: 0 rem(16) 0 0;
            }

            &__logo {
                flex-shrink: 0;
            }
        }
    }

    @include media-breakpoint-up(xl) {
        background: transparent;
        backdrop-filter: blur(0);

        &__main {
            margin: 0 rem(-25);
            background: rgba(237, 244, 255, 0.7);
            backdrop-filter: blur(25px);
        }
    }
}
